//Welcome to BlockMotion configuration file.
export const config = {
    //Area renderer settings
    
    disable_render: false,
    //If true, area selection rendering will be disabled.
    render_update_rate: 20,
    //Specifies the area rendering update interval (in ticks).
    density: 0.5,
    //Specifies the number of particles per block. 
    //If dynamic_density is true, this option specifies the initial density (with the minimum area size.)
    dynamic_density: true,
    //If true, the density decreases depending of area size.
    selection_size_limit: 16384,
    //If dynamic_density enabled, this option determines the maximum area size with the lowest density value.
    fixed_particle_amount: 0,
    //Experimental renderer mode. When enabled, dynamic_density will be forcibly disabled.
    //If greater than zero, the area edges will have a fixed amount of particles.
    //Set value to 0 if you want to disable this function.
    render_big_areas: true,
    //If true, area selections that overpass size_limit will be rendered.
    //It's better to disable it on servers, because this option can be abused to cause server lags.
    //If dynamic_density is enabled and selection_size_limit is equal to area_size_limit, big areas will not be rendered.

    //Gameplay settings

    minimum_speed: 0.2,
    maximum_speed: 2.6,
    //Specifies the minimum and maximum available speed.
    area_size_limit: 16384
    //Area size limit. Can't be higher than 32768.
};